var highlightjs = require('highlight.js');

highlightjs.registerLanguage('procedurelog', function(hljs) {
  
  return {
    case_insensitive: false,
    keywords: {
        keyword: 'return',
        literal: 'true false null undefined NaN Infinity',
        built_in: 'macroBreak callTask executeAction createNewPage',
        assertSuccess: 'SUCCESS',
        assertFail: 'FAIL',
        info: 'PROCEDURE ENDPROCEDURE SCRIPT INIT',
        action: 'ACTION ASSERT'
    },
    contains: [
        hljs.APOS_STRING_MODE,
        hljs.QUOTE_STRING_MODE
    ]
  };
});

var highlighter = function (code) {
    var hl = highlightjs.highlightAuto(code, ['procedurelog', 'xml']);
    return hl.value;
}

module.exports = {
  gfm: true,
  tables: true,
  highlight: highlighter
}
